var clefdesolPoints = new Array();
clefdesolPoints.push(new Point(52,64));
clefdesolPoints.push(new Point(53,63));
clefdesolPoints.push(new Point(54,63));
clefdesolPoints.push(new Point(55,63));
clefdesolPoints.push(new Point(56,63));
clefdesolPoints.push(new Point(57,62));
clefdesolPoints.push(new Point(58,62));
clefdesolPoints.push(new Point(59,62));
clefdesolPoints.push(new Point(60,62));
clefdesolPoints.push(new Point(61,62));
clefdesolPoints.push(new Point(62,62));
clefdesolPoints.push(new Point(63,62));
clefdesolPoints.push(new Point(64,62));
clefdesolPoints.push(new Point(65,62));
clefdesolPoints.push(new Point(66,62));
clefdesolPoints.push(new Point(66,63));
clefdesolPoints.push(new Point(67,63));
clefdesolPoints.push(new Point(67,64));
clefdesolPoints.push(new Point(67,65));
clefdesolPoints.push(new Point(68,66));
clefdesolPoints.push(new Point(68,67));
clefdesolPoints.push(new Point(68,68));
clefdesolPoints.push(new Point(68,69));
clefdesolPoints.push(new Point(69,69));
clefdesolPoints.push(new Point(69,70));
clefdesolPoints.push(new Point(69,71));
clefdesolPoints.push(new Point(69,72));
clefdesolPoints.push(new Point(69,73));
clefdesolPoints.push(new Point(69,74));
clefdesolPoints.push(new Point(69,75));
clefdesolPoints.push(new Point(69,76));
clefdesolPoints.push(new Point(69,77));
clefdesolPoints.push(new Point(69,78));
clefdesolPoints.push(new Point(69,79));
clefdesolPoints.push(new Point(68,79));
clefdesolPoints.push(new Point(68,80));
clefdesolPoints.push(new Point(67,80));
clefdesolPoints.push(new Point(66,80));
clefdesolPoints.push(new Point(65,81));
clefdesolPoints.push(new Point(64,81));
clefdesolPoints.push(new Point(63,81));
clefdesolPoints.push(new Point(62,82));
clefdesolPoints.push(new Point(61,82));
clefdesolPoints.push(new Point(60,82));
clefdesolPoints.push(new Point(58,82));
clefdesolPoints.push(new Point(57,82));
clefdesolPoints.push(new Point(56,82));
clefdesolPoints.push(new Point(55,82));
clefdesolPoints.push(new Point(54,82));
clefdesolPoints.push(new Point(53,82));
clefdesolPoints.push(new Point(52,82));
clefdesolPoints.push(new Point(51,82));
clefdesolPoints.push(new Point(50,82));
clefdesolPoints.push(new Point(49,82));
clefdesolPoints.push(new Point(48,82));
clefdesolPoints.push(new Point(47,82));
clefdesolPoints.push(new Point(46,82));
clefdesolPoints.push(new Point(46,81));
clefdesolPoints.push(new Point(45,81));
clefdesolPoints.push(new Point(44,80));
clefdesolPoints.push(new Point(43,79));
clefdesolPoints.push(new Point(43,78));
clefdesolPoints.push(new Point(43,77));
clefdesolPoints.push(new Point(42,76));
clefdesolPoints.push(new Point(42,75));
clefdesolPoints.push(new Point(42,74));
clefdesolPoints.push(new Point(42,73));
clefdesolPoints.push(new Point(42,72));
clefdesolPoints.push(new Point(42,70));
clefdesolPoints.push(new Point(42,68));
clefdesolPoints.push(new Point(42,67));
clefdesolPoints.push(new Point(42,66));
clefdesolPoints.push(new Point(42,64));
clefdesolPoints.push(new Point(42,63));
clefdesolPoints.push(new Point(43,63));
clefdesolPoints.push(new Point(43,61));
clefdesolPoints.push(new Point(43,60));
clefdesolPoints.push(new Point(44,59));
clefdesolPoints.push(new Point(44,57));
clefdesolPoints.push(new Point(45,56));
clefdesolPoints.push(new Point(46,55));
clefdesolPoints.push(new Point(46,54));
clefdesolPoints.push(new Point(48,53));
clefdesolPoints.push(new Point(48,52));
clefdesolPoints.push(new Point(49,52));
clefdesolPoints.push(new Point(49,51));
clefdesolPoints.push(new Point(51,50));
clefdesolPoints.push(new Point(51,49));
clefdesolPoints.push(new Point(53,49));
clefdesolPoints.push(new Point(53,47));
clefdesolPoints.push(new Point(54,47));
clefdesolPoints.push(new Point(55,46));
clefdesolPoints.push(new Point(55,45));
clefdesolPoints.push(new Point(56,44));
clefdesolPoints.push(new Point(58,43));
clefdesolPoints.push(new Point(58,42));
clefdesolPoints.push(new Point(59,41));
clefdesolPoints.push(new Point(60,40));
clefdesolPoints.push(new Point(60,39));
clefdesolPoints.push(new Point(61,38));
clefdesolPoints.push(new Point(61,37));
clefdesolPoints.push(new Point(62,36));
clefdesolPoints.push(new Point(63,35));
clefdesolPoints.push(new Point(63,33));
clefdesolPoints.push(new Point(63,32));
clefdesolPoints.push(new Point(64,30));
clefdesolPoints.push(new Point(65,29));
clefdesolPoints.push(new Point(65,28));
clefdesolPoints.push(new Point(65,27));
clefdesolPoints.push(new Point(66,26));
clefdesolPoints.push(new Point(66,25));
clefdesolPoints.push(new Point(67,23));
clefdesolPoints.push(new Point(67,21));
clefdesolPoints.push(new Point(67,20));
clefdesolPoints.push(new Point(67,19));
clefdesolPoints.push(new Point(67,18));
clefdesolPoints.push(new Point(67,17));
clefdesolPoints.push(new Point(67,16));
clefdesolPoints.push(new Point(67,15));
clefdesolPoints.push(new Point(67,14));
clefdesolPoints.push(new Point(65,14));
clefdesolPoints.push(new Point(65,13));
clefdesolPoints.push(new Point(65,12));
clefdesolPoints.push(new Point(64,12));
clefdesolPoints.push(new Point(63,12));
clefdesolPoints.push(new Point(62,12));
clefdesolPoints.push(new Point(61,12));
clefdesolPoints.push(new Point(60,13));
clefdesolPoints.push(new Point(60,14));
clefdesolPoints.push(new Point(60,15));
clefdesolPoints.push(new Point(60,16));
clefdesolPoints.push(new Point(60,17));
clefdesolPoints.push(new Point(60,18));
clefdesolPoints.push(new Point(59,19));
clefdesolPoints.push(new Point(59,20));
clefdesolPoints.push(new Point(59,21));
clefdesolPoints.push(new Point(58,21));
clefdesolPoints.push(new Point(58,23));
clefdesolPoints.push(new Point(58,24));
clefdesolPoints.push(new Point(58,25));
clefdesolPoints.push(new Point(58,26));
clefdesolPoints.push(new Point(58,27));
clefdesolPoints.push(new Point(58,28));
clefdesolPoints.push(new Point(58,30));
clefdesolPoints.push(new Point(58,31));
clefdesolPoints.push(new Point(57,32));
clefdesolPoints.push(new Point(57,33));
clefdesolPoints.push(new Point(57,34));
clefdesolPoints.push(new Point(57,36));
clefdesolPoints.push(new Point(57,37));
clefdesolPoints.push(new Point(57,38));
clefdesolPoints.push(new Point(57,39));
clefdesolPoints.push(new Point(57,40));
clefdesolPoints.push(new Point(56,42));
clefdesolPoints.push(new Point(56,43));
clefdesolPoints.push(new Point(56,44));
clefdesolPoints.push(new Point(56,45));
clefdesolPoints.push(new Point(56,46));
clefdesolPoints.push(new Point(56,47));
clefdesolPoints.push(new Point(56,48));
clefdesolPoints.push(new Point(56,49));
clefdesolPoints.push(new Point(56,50));
clefdesolPoints.push(new Point(56,51));
clefdesolPoints.push(new Point(56,52));
clefdesolPoints.push(new Point(56,53));
clefdesolPoints.push(new Point(56,55));
clefdesolPoints.push(new Point(56,56));
clefdesolPoints.push(new Point(56,57));
clefdesolPoints.push(new Point(56,58));
clefdesolPoints.push(new Point(56,59));
clefdesolPoints.push(new Point(56,60));
clefdesolPoints.push(new Point(56,61));
clefdesolPoints.push(new Point(56,62));
clefdesolPoints.push(new Point(56,63));
clefdesolPoints.push(new Point(56,64));
clefdesolPoints.push(new Point(56,66));
clefdesolPoints.push(new Point(56,67));
clefdesolPoints.push(new Point(56,68));
clefdesolPoints.push(new Point(56,69));
clefdesolPoints.push(new Point(56,70));
clefdesolPoints.push(new Point(56,72));
clefdesolPoints.push(new Point(56,73));
clefdesolPoints.push(new Point(56,74));
clefdesolPoints.push(new Point(56,75));
clefdesolPoints.push(new Point(56,76));
clefdesolPoints.push(new Point(56,78));
clefdesolPoints.push(new Point(56,80));
clefdesolPoints.push(new Point(56,82));
clefdesolPoints.push(new Point(56,83));
clefdesolPoints.push(new Point(56,84));
clefdesolPoints.push(new Point(56,86));
clefdesolPoints.push(new Point(56,88));
clefdesolPoints.push(new Point(56,89));
clefdesolPoints.push(new Point(56,91));
clefdesolPoints.push(new Point(56,92));
clefdesolPoints.push(new Point(56,94));
clefdesolPoints.push(new Point(56,96));
clefdesolPoints.push(new Point(56,97));
clefdesolPoints.push(new Point(56,98));
clefdesolPoints.push(new Point(56,100));
clefdesolPoints.push(new Point(55,101));
clefdesolPoints.push(new Point(55,102));
clefdesolPoints.push(new Point(55,104));
clefdesolPoints.push(new Point(54,105));
clefdesolPoints.push(new Point(54,107));
clefdesolPoints.push(new Point(54,109));
clefdesolPoints.push(new Point(53,110));
clefdesolPoints.push(new Point(53,111));
clefdesolPoints.push(new Point(52,113));
clefdesolPoints.push(new Point(52,115));
clefdesolPoints.push(new Point(52,116));
clefdesolPoints.push(new Point(51,116));
clefdesolPoints.push(new Point(50,117));
clefdesolPoints.push(new Point(50,118));
clefdesolPoints.push(new Point(49,119));
clefdesolPoints.push(new Point(48,120));
clefdesolPoints.push(new Point(47,120));
clefdesolPoints.push(new Point(46,121));
clefdesolPoints.push(new Point(45,121));
clefdesolPoints.push(new Point(44,121));
clefdesolPoints.push(new Point(43,121));
clefdesolPoints.push(new Point(42,121));
clefdesolPoints.push(new Point(41,120));
clefdesolPoints.push(new Point(40,119));
clefdesolPoints.push(new Point(40,117));
clefdesolPoints.push(new Point(38,115));
clefdesolPoints.push(new Point(38,114));
clefdesolPoints.push(new Point(37,112));
clefdesolPoints.push(new Point(37,111));
clefdesolPoints.push(new Point(37,109));
clefdesolPoints.push(new Point(37,108));
